org.apache.ignite.internal.processors.cache.database.tree.io

## Class PagePartitionMetaIO

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.database.tree.io.PageIO
  - - org.apache.ignite.internal.processors.cache.database.tree.io.PageMetaIO
    - - org.apache.ignite.internal.processors.cache.database.tree.io.PagePartitionMetaIO

    public class PagePartitionMetaIO
    extends PageMetaIO

### Field Summary

Fields
`static IOVersions<PagePartitionMetaIO>` `VERSIONS`

### Fields inherited from class org.apache.ignite.internal.processors.cache.database.tree.io.PageIO

`COMMON_HEADER_END, CRC_OFF, MAX_PAYLOAD_SIZE, PAGE_ID_OFF, T_BPLUS_META, T_DATA, T_DATA_REF_INNER, T_DATA_REF_LEAF, T_H2_EX_REF_INNER_END, T_H2_EX_REF_INNER_START, T_H2_EX_REF_LEAF_END, T_H2_EX_REF_LEAF_START, T_H2_REF_INNER, T_H2_REF_LEAF, T_META, T_METASTORE_INNER, T_METASTORE_LEAF, T_PAGE_LIST_META, T_PAGE_LIST_NODE, T_PAGE_UPDATE_TRACKING, T_PART_META, T_PENDING_REF_INNER, T_PENDING_REF_LEAF, TYPE_OFF, VER_OFF`

### Constructor Summary

Constructors
Constructor and Description
`PagePartitionMetaIO(int ver)`

### Method Summary

Methods
`long` `getGlobalRemoveId(long pageAddr)`
`byte` `getPartitionState(long pageAddr)`
`long` `getSize(long pageAddr)`
`long` `getUpdateCounter(long pageAddr)`
`void` `initNewPage(long pageAddr, long pageId, int pageSize)`
`void` `setGlobalRemoveId(long pageAddr, long rmvId)`
`void` `setPartitionState(long pageAddr, byte state)`
`void` `setSize(long pageAddr, long size)`
`void` `setUpdateCounter(long pageAddr, long cntr)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.database.tree.io.PageMetaIO

`getCandidateAllocatedIndex, getLastAllocatedIndex, getLastAllocatedIndex, getLastSuccessfulFullSnapshotId, getLastSuccessfulSnapshotId, getLastSuccessfulSnapshotTag, getNextSnapshotTag, getReuseListRoot, getTreeRoot, setCandidateAllocatedIndex, setLastAllocatedIndex, setLastSuccessfulFullSnapshotId, setLastSuccessfulSnapshotId, setLastSuccessfulSnapshotTag, setNextSnapshotTag, setReuseListRoot, setTreeRoot`

### Methods inherited from class org.apache.ignite.internal.processors.cache.database.tree.io.PageIO

`getBPlusIO, getBPlusIO, getCrc, getCrc, getInnerVersions, getLeafVersions, getPageId, getPageId, getPageIO, getPageIO, getType, getType, getType, getVersion, getVersion, getVersion, registerH2, registerH2ExtraInner, registerH2ExtraLeaf, registerTest, setCrc, setCrc, setPageId, setType, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### VERSIONS

    public static final IOVersions<PagePartitionMetaIO> VERSIONS

### Constructor Detail

#### PagePartitionMetaIO

    public PagePartitionMetaIO(int ver)

Parameters:
  `ver` - Version.

### Method Detail

#### initNewPage

    public void initNewPage(long pageAddr,
                   long pageId,
                   int pageSize)

Overrides:
  `initNewPage` in class `PageMetaIO`
Parameters:
  `pageAddr` - Page address.
  `pageId` - Page ID.
  `pageSize` - Page size.

#### getSize

    public long getSize(long pageAddr)

Parameters:
  `pageAddr` - Page address.
Returns:
  Partition size.

#### setSize

    public void setSize(long pageAddr,
               long size)

Parameters:
  `pageAddr` - Page address.
  `size` - Partition size.

#### getUpdateCounter

    public long getUpdateCounter(long pageAddr)

Parameters:
  `pageAddr` - Page address.
Returns:
  Partition update counter.

#### setUpdateCounter

    public void setUpdateCounter(long pageAddr,
                        long cntr)

Parameters:
  `pageAddr` - Page address.
  `cntr` - Partition update counter.

#### getGlobalRemoveId

    public long getGlobalRemoveId(long pageAddr)

Parameters:
  `pageAddr` - Page address.
Returns:
  Global remove ID.

#### setGlobalRemoveId

    public void setGlobalRemoveId(long pageAddr,
                         long rmvId)

Parameters:
  `pageAddr` - Page address.
  `rmvId` - Global remove ID.

#### getPartitionState

    public byte getPartitionState(long pageAddr)

Parameters:
  `pageAddr` - Page address.

#### setPartitionState

    public void setPartitionState(long pageAddr,
                         byte state)

Parameters:
  `pageAddr` - Page address
  `state` - State.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017